Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153187 - init.d startup script
Summary: init.d startup script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat5
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Devrim GUNDUZ
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2005-04-02 11:31 UTC by Florian La Roche
Modified: 2008-02-13 05:14 UTC (History)
0 users

Fixed In Version: 5.5.26-1jpp.2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-13 04:54:55 UTC


Attachments (Terms of Use)

Description Florian La Roche 2005-04-02 11:31:14 UTC
Description of problem: We usually package startup scripts
in /etc/rc.d/init.d/ and not /etc/init.d/.

--- tomcat5.spec        14 Mar 2005 13:55:27 -0000      1.9
+++ tomcat5.spec        2 Apr 2005 11:28:13 -0000
@@ -299,12 +299,12 @@ install -d -m 755 $RPM_BUILD_ROOT/{%{con
 install -d -m 755 $RPM_BUILD_ROOT/{%{serverdir},%{tempdir},%{workdir}}
 install -d -m 755 $RPM_BUILD_ROOT/{%{appdir},%{commondir},%{shareddir}}

-install -d -m 755
$RPM_BUILD_ROOT/{%{_bindir},%{_sysconfdir}/{init.d,logrotate.d},%{_javadir}}
+install -d -m 755
$RPM_BUILD_ROOT/{%{_bindir},%{_sysconfdir}/{rc.d/init.d,logrotate.d},%{_javadir}}

 install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/%{bindir}/relink

 # sysv init and logging
-install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
+install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
 install %{SOURCE5} $RPM_BUILD_ROOT/%{confdir}/%{name}.conf

 pushd %{packdname}/jakarta-tomcat-5
@@ -359,7 +359,7 @@ rm -f  $RPM_BUILD_ROOT%{bindir}/*.sh $RP
 # FHS compliance patches, not easy to track them all boys :)

 for i in $RPM_BUILD_ROOT%{confdir}/%{name}.conf
$RPM_BUILD_ROOT%{_bindir}/d%{name} \
-         $RPM_BUILD_ROOT%{_bindir}/%{name}
$RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name} \
+         $RPM_BUILD_ROOT%{_bindir}/%{name}
$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name} \
          $RPM_BUILD_ROOT%{_bindir}/d%{jname} $RPM_BUILD_ROOT%{_bindir}/%{jname} \
          $RPM_BUILD_ROOT%{bindir}/relink
$RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
     do
@@ -511,8 +511,8 @@ build-jar-repository %{serverdir}/webapp
 rm -fr %{workdir}/* %{tempdir}/*

 if [ $1 = 0 ]; then
-    [ -f /var/lock/subsys/%{name} ] && %{_sysconfdir}/init.d/%{name} stop
-    [ -f %{_sysconfdir}/init.d/%{name} ] && /sbin/chkconfig --del %{name}
+    [ -f /var/lock/subsys/%{name} ] && %{_sysconfdir}/rc.d/init.d/%{name} stop
+    [ -f %{_sysconfdir}/rc.d/init.d/%{name} ] && /sbin/chkconfig --del %{name}

     # NEVER remove a serve system user and group from the system
     # You can leave orphaned files behind
@@ -583,7 +583,7 @@ fi

 %attr(755,root,root)           %{_bindir}/*
 %attr(755,root,root)           %{bindir}/*
-%attr(755,root,root)           %{_sysconfdir}/init.d/%{name}
+%attr(755,root,root)           %{_sysconfdir}/rc.d/init.d/%{name}

 %attr(644,root,tomcat)         %config(noreplace)      %{confdir}/catalina.policy
 %attr(644,root,tomcat)         %config(noreplace)     
%{confdir}/catalina.properties



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Oliver Falk 2006-03-02 08:59:23 UTC
>Usually< %{_initrddir} should be used!

Comment 2 Florian La Roche 2007-06-21 16:14:50 UTC
Still not fixed in current Fedora rpm.

regards,

Florian La Roche


Comment 3 Thomas Schweikle 2007-12-27 11:12:22 UTC
Not fixd for Fedora 7, Fedora 8, and Fedora 8.9 -- bad!

Comment 4 Devrim GUNDUZ 2008-01-05 13:07:56 UTC
Ok, initscript fixed... It will appear in next tomcat5 release. 

Comment 5 Fedora Update System 2008-01-07 01:23:44 UTC
tomcat5-5.5.25-2jpp.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'

Comment 6 Fedora Update System 2008-01-07 01:28:23 UTC
tomcat5-5.5.25-2jpp.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'

Comment 7 Fedora Update System 2008-02-09 00:31:35 UTC
tomcat5-5.5.26-1jpp.1.fc7 has been submitted as an update for Fedora 7

Comment 8 Fedora Update System 2008-02-09 00:34:52 UTC
tomcat5-5.5.26-1jpp.1.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-02-12 20:31:48 UTC
tomcat5-5.5.26-1jpp.2.fc8 has been submitted as an update for Fedora 8

Comment 10 Fedora Update System 2008-02-12 20:33:52 UTC
tomcat5-5.5.26-1jpp.2.fc7 has been submitted as an update for Fedora 7

Comment 11 Fedora Update System 2008-02-13 04:54:29 UTC
tomcat5-5.5.26-1jpp.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-02-13 05:14:03 UTC
tomcat5-5.5.26-1jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.